---
title: Search
slug: serpwow/search-api/searches/naver/search
docTags: 
createdAt: 2024-08-05T14:13:33.939Z
---

# Naver Search Parameters

<font color="#52c41a">`GET`</font>  `/search?engine=naver`

The Naver Search Parameters are applicable when making a request with  `engine=naver`  to retrieve Naver search results for a given search term. The search term is specified in the  `q`  parameter.

![](https://apiimages.imgix.net/serpwow/images/png/docs/naver_search.png?auto=format\&ixlib=react-9.5.1-beta.1\&w=600 "Naver Search Results")

For example, to request Naver search results for the keyword  `pizza` , the request would be:

:::CodeblockTabs
HTTP

```HTTP
https://api.serpwow.com/live/search?api_key=demo&engine=naver&q=pizza
```

```curl
curl -L --get https://api.serpwow.com/live/search \
-d api_key="demo" \
-d engine="naver" \
-d q="pizza"
```

```nodejs
const axios = require('axios');

// set up the request parameters
const params = {
  api_key: "demo",
  engine: "naver",
  q: "pizza"
}

// make the http GET request
axios.get('https://api.serpwow.com/live/search', { params })
  .then(response => {

    // print the JSON response
    console.log(JSON.stringify(response.data, 0, 2));

  }).catch(error => {
    // catch and print the error
    console.log(error);
  })
```

```python
import requests
import json

# set up the request parameters
params = {
  'api_key': 'demo',
  'engine': 'naver',
  'q': 'pizza'
}

# make the http GET request
api_result = requests.get('https://api.serpwow.com/live/search', params)

# print the JSON response
print(json.dumps(api_result.json()))
```

```php
<?php
      
# set up the request parameters
$queryString = http_build_query([
  'api_key' => 'demo',
  'engine' => 'naver',
  'q' => 'pizza'
]);

# make the http GET request
$ch = curl_init(sprintf('%s?%s', 'https://api.serpwow.com/live/search', $queryString));
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
# the following options are required if you're using an outdated OpenSSL version
# more details: https://www.openssl.org/blog/blog/2021/09/13/LetsEncryptRootCertExpire/
curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($ch, CURLOPT_TIMEOUT, 180);

$api_result = curl_exec($ch);
curl_close($ch);

# print the JSON response
echo $api_result;

?>
```
:::

***

### Naver Search Parameters

The following parameters are available for all requests made when  `engine=naver` .

| `Parameter` | `Required` | `Description`                                                                                                                                                                                                                                                                                     |
| ----------- | ---------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `engine`    | `required` | Should be set to `engine=naver` .                                                                                                                                                                                                                                                                 |
| `q`         | `required` | The keyword you want to use to perform the search.                                                                                                                                                                                                                                                |
| `page`      | `optional` | Determines the page of results to return, defaults to `1` .                                                                                                                                                                                                                                       |
| `max_page`  | `optional` | Use the `max_page` parameter to get multiple pages of results in one request. The API will automatically paginate through pages and concatenate the results into one response.  <br />See the [Pagination ](https://docs.trajectdata.com/serpwow/search-api/pagination)docs for more information. |

***

**Next Steps**
     [Naver Search Results](https://docs.trajectdata.com/serpwow/search-api/results/naver/search)
